'use strict';

var logger = require('@financial-times/n-logger').default;

module.exports = function(err) {
	if (err.message.indexOf('timeout') > -1) {
		logger.warn('Fetch network error occurred', { message: err.message });
		return { ok: false };
	} else {
		throw err;
	}
};
